Bug 970207 - bind10: "systemctl start bind10.service" fails - /var/bind10/logger_lockfile permission
bind10: "systemctl start bind10.service" fails - /var/bind10/logger_lockfile ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind10 (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 12:53 EDT by Al Dunsmuir
Modified: 2013-06-18 02:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: log4cplus-1.1.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:21:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system log output, and /var/bind10 related ls (showing permissions, groups) (3.96 KB, text/plain)
2013-06-03 12:53 EDT, Al Dunsmuir
no flags Details

  None (edit)
Description Al Dunsmuir 2013-06-03 12:53:44 EDT
Created attachment 756414 [details]
system log output, and /var/bind10 related ls (showing permissions, groups)

Description of problem:
Setting up home dns & dhcp server (using F19 Beta X86_64, full DVD) after hardware failure on previous server (F17 i686 bind9, dhcpd).   

Had tried to set up using old services, but had issues with old dhcp daemon & Network Manager managed network interface.  Seeing how bind 10 is new in F19, I figured you would be more focussed on that release (and it would tend to be the better choice for the future), so decided to give it a try.

Removed all old bind & dhcp libraries, and installed new bind10 rpms.
Did "systemctl enable bind10.session", then "systemctl start bind10.session".

Would not start, due to what appears to be a permissions issue (perhaps related to previous bind 9 install/removal).  Attached below.

Version-Release number of selected component (if applicable):
F19 Beta with latest updates (bind10 1.0.0-2.fc19)


How reproducible:
100%


Steps to Reproduce:
1.Install bind10, including support for dns and dhcp servers.
2.systemctl enable bind10.service
3.systemctl start bind10.service

Actual results:


Expected results:


Additional info:
Comment 1 Tomáš Hozza 2013-06-04 03:57:39 EDT
First thank you for catching this.

(In reply to Al Dunsmuir from comment #0)
> Had tried to set up using old services, but had issues with old dhcp daemon
> & Network Manager managed network interface.  Seeing how bind 10 is new in
> F19, I figured you would be more focussed on that release (and it would tend
> to be the better choice for the future), so decided to give it a try.

To be honest BIND10 is still in development and I don't consider it a full
replacement for BIND9. It still lacks some features like a recursive server.
Anyway I appreciate your feedback and willingness to try it out. I'll glad
to resolve any issues found in BIND10, so we can improve user experience before
it is widely used.
Comment 2 Al Dunsmuir 2013-06-04 04:45:49 EDT
I've printed out the docs for bind10.  I think I should be OK using bind10 for dhcp server and small master zone dns here, and forwarding remaining dns queries to Google (8.8.8.8) for now. 

The server is a wired desktop box, not mobile so hopefully F19 bind10 is feature complete for what I need now to serve my LAN with ~20 clients (both wired LAN and wireless).

I've had various issues on and off with bind9 (see bz history), so would prefer something with more reliability and less features than bind9 for now.  If I spent the time getting bind9+dhcpd running in F19, it is unlikely that I would have time to also try bind10.

As to this bug, I will wait for either instructions (or updated package and instructions like uninstall/install) before touching any files/permissions.  It does leave me without dhcp server (for wireless), so I would really like to get that part running quite soon (next several days, if possible).

Thanks!
Al
Comment 3 Fedora Update System 2013-06-04 10:06:59 EDT
bind10-1.0.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind10-1.0.0-3.fc19
Comment 4 Tomáš Hozza 2013-06-04 10:08:06 EDT
Please try bind10-1.0.0-3.fc19. It worked well when I tested it.
Comment 5 Fedora Update System 2013-06-04 22:32:00 EDT
Package bind10-1.0.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bind10-1.0.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10026/bind10-1.0.0-3.fc19
then log in and leave karma (feedback).
Comment 6 Al Dunsmuir 2013-06-05 04:34:15 EDT
The new bind10 started fine, once I deleted the old lockfile.  Left +ve karma.

I will be reading manual, and configuring first the dhcp service, then dns over the next few evenings.

Thanks for the speedy assistance!
Comment 7 Tomáš Hozza 2013-06-05 04:49:32 EDT
(In reply to Al Dunsmuir from comment #6)
> The new bind10 started fine, once I deleted the old lockfile.  Left +ve
> karma.
> 
> I will be reading manual, and configuring first the dhcp service, then dns
> over the next few evenings.
> 
> Thanks for the speedy assistance!

No problem. I'm glad to hear that.

If you find any other problems/bugs fell free to file a new Bug...
Comment 8 Fedora Update System 2013-06-07 11:41:20 EDT
Package log4cplus-1.1.1-1.fc19, bind10-1.0.0-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing log4cplus-1.1.1-1.fc19 bind10-1.0.0-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10026/log4cplus-1.1.1-1.fc19,bind10-1.0.0-4.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-06-18 02:21:24 EDT
log4cplus-1.1.1-1.fc19, bind10-1.0.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.